American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TreeProductAmericanBuyer Class Reference

Prices TreeProductAmerican for the buyer (deprecated). More...

`#include <americanbuyer.h>`

Inheritance diagram for TreeProductAmericanBuyer:

List of all members.

## Public Member Functions
coefficient | current_price (const PiecewiseLinear &current, const Portfolio &holdings=Portfolio(0, 0)) const
int | exercise (const coefficient t, const Spot &spot, const Portfolio &current_portfolio) const
coefficient | expiry () const
PiecewiseLinear | final_hedge (const Spot &spot) const
PiecewiseLinear | interim_hedge (const coefficient time, const Spot &spot, const PiecewiseLinear &future_hedge) const
Portfolio | next_portfolio (const coefficient t, const Spot &spot, const PiecewiseLinear &future_hedge, const Portfolio &current_portfolio) const
Portfolio | payoff (const coefficient &t, const Spot &spot) const
PiecewiseLinear | payoff_hedge (const coefficient &t, const Spot &spot) const
| TreeProductAmericanBuyer (const coefficient expiry, const PayoffBridge &payoff)

## Detailed Description

Prices TreeProductAmerican for the buyer (deprecated).

Assumes that exercise at final time takes place whenever the final payoff of the option is nonzero, so may be faster for options with cash payoff.

Author:
  Alet Roux <alet.roux@york.ac.uk>

## Constructor & Destructor Documentation

TreeProductAmericanBuyer::TreeProductAmericanBuyer | ( | const coefficient | expiry,
|  | const PayoffBridge & | payoff
| ) |  | `[inline]`

## Member Function Documentation

coefficient TreeProductAmericanBuyer::current_price | ( | const PiecewiseLinear & | current,
|  | const Portfolio & | holdings = `Portfolio(0, 0)`
| ) |  | const`[inline, virtual]`

Computes current price of option, given the holdings of the investor

Parameters:

  current | Lower boundary of set of hedging portfolios
  holdings | Current holdings of investor

Implements TreeProduct.

int TreeProductAmericanBuyer::exercise | ( | const coefficient | t,
|  | const Spot & | spot,
|  | const Portfolio & | current_portfolio
| ) |  | const`[inline, virtual]`

Is it optimal to exercise at this price and time?

Parameters:

  t | Current time
  spot | Price of underlying asset
  current_portfolio | Current portfolio. Must correspond to a point in the epigraph of interim_hedge(t, spot, future_hedge).

Returns:
  if exercise is optimal and if it isn't

Implements TreeProductExercisable.

Reimplemented in TreeProductAmericanBuyerOptional.

coefficient TreeProduct::expiry | ( |  | ) | const`[inline, inherited]`

Expiry time.

PiecewiseLinear TreeProductAmericanBuyer::final_hedge | ( | const Spot & | spot | ) | const`[inline, virtual]`

Finds set of portfolios that hedges the option at its expiry time.

Parameters:

  spot | Price of underlying asset

Returns:
  Piecewise linear function that gives the lower boundary of set of hedging portfolios

Implements TreeProduct.

Reimplemented in TreeProductAmericanBuyerOptional.

PiecewiseLinear TreeProductAmericanBuyer::interim_hedge | ( | const coefficient | t,
|  | const Spot & | spot,
|  | const PiecewiseLinear & | future_hedge
| ) |  | const`[inline, virtual]`

Finds set of portfolios that hedges the payoff of the option at time t and in the future

Parameters:

  t | Time
  spot | Price of underlying asset
  future_hedge | Piecewise linear function whose epigraph consist of portfolios that hedge the option at all future time steps

Returns:
  Piecewise linear function that gives the lower boundary of set of hedging portfolios

Implements TreeProduct.

Portfolio TreeProduct::next_portfolio | ( | const coefficient | t,
|  | const Spot & | spot,
|  | const PiecewiseLinear & | future_hedge,
|  | const Portfolio & | current_portfolio
| ) |  | const`[inline, inherited]`

Given a portfolio that hedges at the current time, computes a portfolio into which the trader can enter that hedges at all future times

Parameters:

  t | Time
  spot | Price of underlying asset
  future_hedge | Piecewise linear function whose epigraph consist of portfolios that hedge the option at all future time steps
  current_portfolio | Current portfolio. Must correspond to a point in the epigraph of interim_hedge(t, spot, future_hedge) (this is not checked).

Returns:
  Portfolio that will hedge the product over the next time step.

Portfolio TreeProductAmerican::payoff | ( | const coefficient & | t,
|  | const Spot & | spot
| ) |  | const`[inline, inherited]`

PiecewiseLinear TreeProductAmerican::payoff_hedge | ( | const coefficient & | t,
|  | const Spot & | spot
| ) |  | const`[inline, inherited]`

Finds set of portfolios that hedges the option at any time t before expiry.

Parameters:

  t | Current time
  spot | Price of underlying asset

Returns:
  Piecewise linear function that gives the lower boundary of set of hedging portfolios

The documentation for this class was generated from the following file:

- treeproduct/americanbuyer.h

All Classes Namespaces Files Functions Variables Typedefs Defines